{ config, pkgs, ... }:
{

  # dix: https://github.com/faukah/dix
  # rust based
  # module from yolo

  # nvd: https://discourse.nixos.org/t/nvd-simple-nix-nixos-version-diff-tool/12397
  # python based
  # module from https://infosec.exchange/@wyndon/110662698348958506

  home.activation.show-hm-closure-diff = config.lib.dag.entryAnywhere ''
    if [[ -v oldGenPath ]]; then
      ${
        if pkgs ? dix then
          ''
            ${pkgs.dix}/bin/dix $oldGenPath $newGenPath
          ''
        else
          ''
            ${pkgs.nvd}/bin/nvd diff $oldGenPath $newGenPath
          ''
      }
    fi
  '';

}
